/* wmdimp = Window Maker DIgital Music Player
 * Coypright (c) 2003 Daniele Tamino
 * This software covered by the GPL.  See COPYING file for details.
 *
 * gui.h
 *
 * GUI buttons coordinates and identifiers (header file)
 *
 */

#ifndef __GUI__
#define __GUI__


struct coord {
    int x;
    int y;
    int w;
    int h;
};

extern struct coord btn_pos[];
extern struct coord btn_up[];
extern struct coord btn_down[];
extern struct coord btn_gray[];

extern char ** wmdimp_pixmap;
extern char ** charset_pixmap;

extern int char_width; /* it's a constant -- this may change */

enum buttons_values {
    B_STOP      = 0,
    B_PLAY      = 1,
    B_PAUSE     = 2,
    B_BACK      = 3,
    B_NEXT      = 4,
    B_CHDIR     = 5,
    B_RAND      = 6,
    B_REPEAT    = 7,
    B_TITLE     = 8,
    B_LISTNAME  = 9,
    B_DIR       = B_LISTNAME, /* obsolete */
    B_PROGBAR   = 10,
    /* number of buttons */
    B_NUM
};

#endif
